## pgextwlist 1.3

=== Makefile ===
MODULE_big = pgextwlist
OBJS       = utils.o pgextwlist.o
DOCS       = README.md
REGRESS    = pgextwlist crossuser

PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

DEBUILD_ROOT = /tmp/pgextwlist

deb:
	mkdir -p $(DEBUILD_ROOT) && rm -rf $(DEBUILD_ROOT)/*
	rsync -Ca --exclude=build/* ./ $(DEBUILD_ROOT)/
	cd $(DEBUILD_ROOT) && make -f debian/rules orig
	cd $(DEBUILD_ROOT) && debuild -us -uc -sa
	cp -a /tmp/pgextwlist_* /tmp/postgresql-9.* build/

## pgextwlist 1.2

=== debian/changelog ===
pgextwlist (1.2-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-pgextwlist-source-distribution=sid-9,
    git revision f2fb8b51a728018402b1fb39cce304a15e632423)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 05 Feb 2014 15:34:04 +0100

pgextwlist (1.2-1) unstable; urgency=medium

  * Add regression tests and run them using autopkgtest.
  * Include the plugins/pgextwlist.so symlink in the package.
  * Add watch file.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 05 Feb 2014 15:25:54 +0100

pgextwlist (1.1-1) unstable; urgency=low

  * Initial release

 -- Dimitri Fontaine <dimitri@2ndQuadrant.fr>  Mon, 30 Dec 2013 18:36:43 +0400

=== debian/control ===
Source: pgextwlist
Priority: extra
Maintainer: Dimitri Fontaine <dimitri@2ndQuadrant.fr>
Build-Depends: debhelper (>= 8.0.0), postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.5
Section: database
Homepage: https://github.com/dimitri/pgextwlist
Vcs-Git: https://github.com/dimitri/pgextwlist.git
Vcs-Browser: https://github.com/dimitri/pgextwlist
XS-Testsuite: autopkgtest

Package: postgresql-9.1-pgextwlist
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are droped before
 handing the control back to the user.

Package: postgresql-9.2-pgextwlist
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.2
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are droped before
 handing the control back to the user.

Package: postgresql-9.3-pgextwlist
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are droped before
 handing the control back to the user.

=== debian/tests/control ===
Depends: postgresql-contrib-9.3, postgresql-contrib-9.2, postgresql-contrib-9.1, postgresql-contrib-9.0, postgresql-contrib-8.4, @, postgresql-server-dev-all, postgresql-contrib
Tests: installcheck
Restrictions: needs-root allow-stderr

## pgextwlist 1.3

=== debian/changelog ===
pgextwlist (1.3-3) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:13:25 +0200

pgextwlist (1.3-2) experimental; urgency=medium

  * B-D on pg-common 158 to build against 9.3 and 9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jul 2014 17:11:21 +0200

pgextwlist (1.3-1) unstable; urgency=medium

  * Set team as Maintainer.
  * Use 9.1+ in debian/pgversions.
  * Update regression tests.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Jun 2014 18:30:07 +0200

=== debian/control ===
Source: pgextwlist
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Dimitri Fontaine <dimitri@2ndQuadrant.fr>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 3.9.5
Section: database
Homepage: https://github.com/dimitri/pgextwlist
Vcs-Git: https://github.com/dimitri/pgextwlist.git
Vcs-Browser: https://github.com/dimitri/pgextwlist
XS-Testsuite: autopkgtest

Package: postgresql-9.4-pgextwlist
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib, postgresql-contrib-9.4
Tests: installcheck
Restrictions: allow-stderr

## pgextwlist 1.4

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+short_ver = 1.4
+long_ver = $(shell (git describe --tags --long '--match=v*' 2>/dev/null || echo $(short_ver)-0-unknown) | cut -c2-)
+
 MODULE_big = pgextwlist
 OBJS       = utils.o pgextwlist.o
 DOCS       = README.md
@@ -15,3 +18,13 @@
 	cd $(DEBUILD_ROOT) && make -f debian/rules orig
 	cd $(DEBUILD_ROOT) && debuild -us -uc -sa
 	cp -a /tmp/pgextwlist_* /tmp/postgresql-9.* build/
+
+rpm:
+	git archive --output=pgextwlist-rpm-src.tar.gz --prefix=pgextwlist/ HEAD
+	rpmbuild -bb pgextwlist.spec \
+		--define '_sourcedir $(CURDIR)' \
+		--define 'package_prefix $(package_prefix)' \
+		--define 'pkglibdir $(shell $(PG_CONFIG) --pkglibdir)' \
+		--define 'major_version $(short_ver)' \
+		--define 'minor_version $(subst -,.,$(subst $(short_ver)-,,$(long_ver)))'
+	$(RM) pgextwlist-rpm-src.tar.gz

=== debian/changelog ===
pgextwlist (1.4-1) unstable; urgency=medium

  * New upstream version with 9.5 support. (Closes: #811135)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 02 Feb 2016 12:56:49 +0100

=== debian/control ===
Source: pgextwlist
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Dimitri Fontaine <dimitri@2ndQuadrant.fr>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 171~)
Standards-Version: 3.9.6
Section: database
Homepage: https://github.com/dimitri/pgextwlist
Vcs-Git: https://github.com/dimitri/pgextwlist.git
Vcs-Browser: https://github.com/dimitri/pgextwlist
XS-Testsuite: autopkgtest

Package: postgresql-9.5-pgextwlist
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

=== debian/watch ===
version=3
https://github.com/dimitri/pgextwlist/releases /dimitri/pgextwlist/archive/v(.*).tar.gz

## pgextwlist 1.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-short_ver = 1.4
+short_ver = 1.5
 long_ver = $(shell (git describe --tags --long '--match=v*' 2>/dev/null || echo $(short_ver)-0-unknown) | cut -c2-)
 
 MODULE_big = pgextwlist

=== debian/changelog ===
pgextwlist (1.5-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-pgextwlist-source-
    distribution=xenial-14,
    5e0ac9dc8baefb4f3cd03a27f8f69186fecb9892/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 27 Sep 2016 18:50:01 +0200

pgextwlist (1.5-1) unstable; urgency=medium

  * New upstream version with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Sep 2016 18:39:03 +0200

## pgextwlist 1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-short_ver = 1.5
+short_ver = 1.6
 long_ver = $(shell (git describe --tags --long '--match=v*' 2>/dev/null || echo $(short_ver)-0-unknown) | cut -c2-)
 
 MODULE_big = pgextwlist

## pgextwlist 1.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-short_ver = 1.6
+short_ver = 1.8
 long_ver = $(shell (git describe --tags --long '--match=v*' 2>/dev/null || echo $(short_ver)-0-unknown) | cut -c2-)
 
 MODULE_big = pgextwlist

## pgextwlist 1.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-short_ver = 1.8
+short_ver = 1.9
 long_ver = $(shell (git describe --tags --long '--match=v*' 2>/dev/null || echo $(short_ver)-0-unknown) | cut -c2-)
 
 MODULE_big = pgextwlist

=== debian/changelog ===
pgextwlist (1.11-4.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 09 Oct 2020 16:22:49 +0200

pgextwlist (1.11-4) unstable; urgency=medium

  * Work around extension_destdir bug with missing extension directory.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 16:22:49 +0200

pgextwlist (1.11-3) unstable; urgency=medium

  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 10:50:24 +0200

pgextwlist (1.11-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop and run tests at build time as well.
  * debian/tests: Use pg_buildext installcheck.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 15:13:07 +0200

pgextwlist (1.11-1) unstable; urgency=medium

  * New version with PG13 support.
  * Source format 3.0 (quilt).
  * DH 13, bump S-V.

 -- Christoph Berg <myon@debian.org>  Sun, 24 May 2020 20:53:50 +0200

pgextwlist (1.10-1) unstable; urgency=medium

  [ Mika Eloranta ]
  * Use explicit collation for @@ substibutions.

  [ Christoph Berg ]
  * Include custom scripts in regression tests.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 14:48:29 +0100

pgextwlist (1.9-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 12 support.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jun 2019 12:44:56 +0200

pgextwlist (1.8-2) unstable; urgency=medium

  * Recompile against new heap_getattr() API in PostgreSQL 11.2.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 12 Feb 2019 15:08:44 +0100

pgextwlist (1.8-1) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Update PostgreSQL team address.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:23:58 +0200

pgextwlist (1.7-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 11 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 23 Jul 2018 11:53:24 +0200

pgextwlist (1.6-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 10 support, patch by
    Oskari Saarenmaa. (Closes: #876851)
  * Update Dimitri's email address.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Oct 2017 13:21:54 +0200

=== debian/control ===
Source: pgextwlist
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dimitri Fontaine <dim@tapoueh.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 219~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: database
Homepage: https://github.com/dimitri/pgextwlist
Vcs-Git: https://github.com/dimitri/pgextwlist.git
Vcs-Browser: https://github.com/dimitri/pgextwlist

Package: postgresql-9.5-pgextwlist
Section: libs
Architecture: any
Depends:
 postgresql-9.5,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

Package: postgresql-9.6-pgextwlist
Section: libs
Architecture: any
Depends:
 postgresql-9.6,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

Package: postgresql-10-pgextwlist
Section: libs
Architecture: any
Depends:
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

Package: postgresql-11-pgextwlist
Section: libs
Architecture: any
Depends:
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

Package: postgresql-12-pgextwlist
Section: libs
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

Package: postgresql-13-pgextwlist
Section: libs
Architecture: any
Depends:
 postgresql-13,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

=== debian/tests/control ===
Depends:
 postgresql-contrib-9.5, postgresql-contrib-9.6, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13,
 make,
 @,
Tests: installcheck
Restrictions: allow-stderr

## pgextwlist 1.12

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-short_ver = 1.9
+short_ver = $(shell git describe --match "v[0-9]*" --abbrev=4 HEAD | cut -d- -f1 | sed 's/^v//')
 long_ver = $(shell (git describe --tags --long '--match=v*' 2>/dev/null || echo $(short_ver)-0-unknown) | cut -c2-)
 
 MODULE_big = pgextwlist
 OBJS       = utils.o pgextwlist.o
 DOCS       = README.md
 REGRESS    = pgextwlist crossuser
+RPM_MINOR_VERSION_SUFFIX ?=
 
 PG_CONFIG = pg_config
 PGXS = $(shell $(PG_CONFIG) --pgxs)
@@ -26,5 +27,5 @@
 		--define 'package_prefix $(package_prefix)' \
 		--define 'pkglibdir $(shell $(PG_CONFIG) --pkglibdir)' \
 		--define 'major_version $(short_ver)' \
-		--define 'minor_version $(subst -,.,$(subst $(short_ver)-,,$(long_ver)))'
+		--define 'minor_version $(subst -,.,$(subst $(short_ver)-,,$(long_ver)))$(RPM_MINOR_VERSION_SUFFIX)'
 	$(RM) pgextwlist-rpm-src.tar.gz

=== debian/changelog ===
pgextwlist (1.12-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 02 Nov 2021 10:26:57 +0100

pgextwlist (1.12-1) unstable; urgency=medium

  * New version with PG13 support, thanks Ronan Dunklau!

 -- Christoph Berg <myon@debian.org>  Tue, 02 Nov 2021 10:26:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,20 +13,6 @@
 Homepage: https://github.com/dimitri/pgextwlist
 Vcs-Git: https://github.com/dimitri/pgextwlist.git
 Vcs-Browser: https://github.com/dimitri/pgextwlist
-
-Package: postgresql-9.5-pgextwlist
-Section: libs
-Architecture: any
-Depends:
- postgresql-9.5,
- ${misc:Depends},
- ${shlibs:Depends},
-Description: PostgreSQL Extension Whitelisting
- This extension implements extension whitelisting, and will actively prevent
- users from installing extensions not in the provided list. Also, this
- extension implements a form of sudo facility in that the whitelisted
- extensions will get installed as if superuser. Privileges are dropped before
- handing the control back to the user.
 
 Package: postgresql-9.6-pgextwlist
 Section: libs
@@ -97,3 +83,17 @@
  extension implements a form of sudo facility in that the whitelisted
  extensions will get installed as if superuser. Privileges are dropped before
  handing the control back to the user.
+
+Package: postgresql-14-pgextwlist
+Section: libs
+Architecture: any
+Depends:
+ postgresql-14,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Extension Whitelisting
+ This extension implements extension whitelisting, and will actively prevent
+ users from installing extensions not in the provided list. Also, this
+ extension implements a form of sudo facility in that the whitelisted
+ extensions will get installed as if superuser. Privileges are dropped before
+ handing the control back to the user.

=== debian/watch ===
version=4
https://github.com/dimitri/pgextwlist/releases .*/v(.*).tar.gz

## pgextwlist 1.13

=== debian/changelog ===
pgextwlist (1.13-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 07 Jul 2022 11:39:12 +0200

pgextwlist (1.13-1) unstable; urgency=medium

  * New version with PG15 support, thanks Polina Bungina!

 -- Christoph Berg <myon@debian.org>  Thu, 07 Jul 2022 11:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Dimitri Fontaine <dim@tapoueh.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  postgresql-all (>= 219~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -13,20 +13,6 @@
 Homepage: https://github.com/dimitri/pgextwlist
 Vcs-Git: https://github.com/dimitri/pgextwlist.git
 Vcs-Browser: https://github.com/dimitri/pgextwlist
-
-Package: postgresql-9.6-pgextwlist
-Section: libs
-Architecture: any
-Depends:
- postgresql-9.6,
- ${misc:Depends},
- ${shlibs:Depends},
-Description: PostgreSQL Extension Whitelisting
- This extension implements extension whitelisting, and will actively prevent
- users from installing extensions not in the provided list. Also, this
- extension implements a form of sudo facility in that the whitelisted
- extensions will get installed as if superuser. Privileges are dropped before
- handing the control back to the user.
 
 Package: postgresql-10-pgextwlist
 Section: libs

## pgextwlist 1.14

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 MODULE_big = pgextwlist
 OBJS       = utils.o pgextwlist.o
 DOCS       = README.md
-REGRESS    = pgextwlist crossuser
+REGRESS    = setup pgextwlist crossuser
 RPM_MINOR_VERSION_SUFFIX ?=
 
 PG_CONFIG = pg_config

## pgextwlist 1.15

=== debian/changelog ===
pgextwlist (1.15-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 11:57:27 +0200

pgextwlist (1.15-1) unstable; urgency=medium

  * New version with drop hooks.

 -- Christoph Berg <myon@debian.org>  Wed, 28 Sep 2022 12:57:35 +0200

pgextwlist (1.14-1) unstable; urgency=medium

  * Fix GUC handling in _PG_init.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Aug 2022 17:04:26 +0200

=== debian/control ===
Source: pgextwlist
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dimitri Fontaine <dim@tapoueh.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 219~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Section: database
Homepage: https://github.com/dimitri/pgextwlist
Vcs-Git: https://github.com/dimitri/pgextwlist.git
Vcs-Browser: https://github.com/dimitri/pgextwlist

Package: postgresql-15-pgextwlist
Section: libs
Architecture: any
Depends:
 postgresql-15,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

## pgextwlist 1.16

=== debian/changelog ===
pgextwlist (1.16-1) unstable; urgency=medium

  * New version with PG16 support.

 -- Christoph Berg <myon@debian.org>  Fri, 30 Jun 2023 22:31:48 +0200

## pgextwlist 1.17

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 MODULE_big = pgextwlist
 OBJS       = utils.o pgextwlist.o
 DOCS       = README.md
-REGRESS    = setup pgextwlist crossuser
+REGRESS    = setup pgextwlist errors crossuser hooks
 RPM_MINOR_VERSION_SUFFIX ?=
 
 PG_CONFIG = pg_config

=== debian/changelog ===
pgextwlist (1.17-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 13:37:33 +0200

pgextwlist (1.17-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 13:37:33 +0200

pgextwlist (1.17-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Aug 2023 11:44:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  postgresql-all (>= 219~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: database
 Homepage: https://github.com/dimitri/pgextwlist
 Vcs-Git: https://github.com/dimitri/pgextwlist.git
 Vcs-Browser: https://github.com/dimitri/pgextwlist
 
-Package: postgresql-15-pgextwlist
+Package: postgresql-10-pgextwlist
 Section: libs
 Architecture: any
 Depends:
- postgresql-15,
+ ${postgresql:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
 Description: PostgreSQL Extension Whitelisting
@@ -27,3 +27,87 @@
  extension implements a form of sudo facility in that the whitelisted
  extensions will get installed as if superuser. Privileges are dropped before
  handing the control back to the user.
+
+Package: postgresql-11-pgextwlist
+Section: libs
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Extension Whitelisting
+ This extension implements extension whitelisting, and will actively prevent
+ users from installing extensions not in the provided list. Also, this
+ extension implements a form of sudo facility in that the whitelisted
+ extensions will get installed as if superuser. Privileges are dropped before
+ handing the control back to the user.
+
+Package: postgresql-12-pgextwlist
+Section: libs
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Extension Whitelisting
+ This extension implements extension whitelisting, and will actively prevent
+ users from installing extensions not in the provided list. Also, this
+ extension implements a form of sudo facility in that the whitelisted
+ extensions will get installed as if superuser. Privileges are dropped before
+ handing the control back to the user.
+
+Package: postgresql-13-pgextwlist
+Section: libs
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Extension Whitelisting
+ This extension implements extension whitelisting, and will actively prevent
+ users from installing extensions not in the provided list. Also, this
+ extension implements a form of sudo facility in that the whitelisted
+ extensions will get installed as if superuser. Privileges are dropped before
+ handing the control back to the user.
+
+Package: postgresql-14-pgextwlist
+Section: libs
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Extension Whitelisting
+ This extension implements extension whitelisting, and will actively prevent
+ users from installing extensions not in the provided list. Also, this
+ extension implements a form of sudo facility in that the whitelisted
+ extensions will get installed as if superuser. Privileges are dropped before
+ handing the control back to the user.
+
+Package: postgresql-15-pgextwlist
+Section: libs
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Extension Whitelisting
+ This extension implements extension whitelisting, and will actively prevent
+ users from installing extensions not in the provided list. Also, this
+ extension implements a form of sudo facility in that the whitelisted
+ extensions will get installed as if superuser. Privileges are dropped before
+ handing the control back to the user.
+
+Package: postgresql-16-pgextwlist
+Section: libs
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Extension Whitelisting
+ This extension implements extension whitelisting, and will actively prevent
+ users from installing extensions not in the provided list. Also, this
+ extension implements a form of sudo facility in that the whitelisted
+ extensions will get installed as if superuser. Privileges are dropped before
+ handing the control back to the user.

=== debian/tests/control ===
Depends:
 postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-contrib-15, postgresql-contrib-16,
 make,
 @,
Tests: installcheck
Restrictions: allow-stderr

## pgextwlist 1.18

=== debian/changelog ===
pgextwlist (1.18-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 23 Apr 2025 15:12:22 +0200

pgextwlist (1.18-1) unstable; urgency=medium

  * Support PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Wed, 23 Apr 2025 15:12:22 +0200

pgextwlist (1.17-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 19:01:25 +0200

=== debian/tests/control ===
Depends:
 postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-contrib-15, postgresql-contrib-16, postgresql-contrib-17,
 make,
 @,
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/dimitri/pgextwlist/tags .*/v(.*).tar.gz

## pgextwlist 1.19

=== debian/changelog ===
pgextwlist (1.19-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117296)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:20:58 +0200

pgextwlist (1.19-1) unstable; urgency=medium

  * PG18 Support, take 2: Revert CreateQueryDesc change.
    (Upstream 525392d57)

 -- Christoph Berg <myon@debian.org>  Thu, 12 Jun 2025 14:38:58 +0200

=== debian/control ===
Source: pgextwlist
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dimitri Fontaine <dim@tapoueh.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Section: database
Homepage: https://github.com/dimitri/pgextwlist
Vcs-Git: https://github.com/dimitri/pgextwlist.git
Vcs-Browser: https://github.com/dimitri/pgextwlist

Package: postgresql-18-pgextwlist
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL Extension Whitelisting
 This extension implements extension whitelisting, and will actively prevent
 users from installing extensions not in the provided list. Also, this
 extension implements a form of sudo facility in that the whitelisted
 extensions will get installed as if superuser. Privileges are dropped before
 handing the control back to the user.

=== debian/rules ===
#!/usr/bin/make -f

# fix could not stat file "after-create.sql" Value too large for defined data type
DPKG_EXPORT_BUILDFLAGS = 1
DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
include /usr/share/dpkg/buildflags.mk

override_dh_installdocs:
	dh_installdocs --all README.md
	# remove docs that belong elsewhere
	rm -rf debian/*/usr/share/doc/postgresql-doc-*

override_dh_link:
	set -ex; for v in $(shell pg_buildext supported-versions); do mkdir debian/postgresql-$$v-pgextwlist/usr/lib/postgresql/$$v/lib/plugins; ln -s ../pgextwlist.so debian/postgresql-$$v-pgextwlist/usr/lib/postgresql/$$v/lib/plugins; done

override_dh_pgxs_test:
	# work around extension_destdir bug with missing directory
	set -ex; for v in $(shell pg_buildext supported-versions); do mkdir -p debian/postgresql-$$v-pgextwlist/usr/share/postgresql/$$v/extension; done
	dh_pgxs_test loop
	rmdir -p --ignore-fail-on-non-empty debian/postgresql-*-pgextwlist/usr/share/postgresql/*/extension

%:
	dh $@ --with pgxs_loop

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 postgresql-contrib-18,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,
